#	Openssl Configuration file for creating a certificate authority for root certificates
#	Taken from the default configuration from freeradius, deleted unnecessary csr portions

#	Used by the req command to create a certificate sign request (.csr) and a private key (encrypted by the passwords)

[ req ]
#Don't prompt for passwords, as they are given here
prompt			= no
#	DN will consist of a sequence of attributes
distinguished_name	= client_name

[client_name]
countryName		= DE
stateOrProvinceName	= Hesse
localityName		= Darmstadt
organizationName	= SecureLamps INC
emailAddress		= tbd-mail@example.org
commonName		= tbd-cn


[v3_req]
subjectAltName = email:copy


#	Extensions when signing a certificate request for certificate authorities
[v3_client]
subjectKeyIdentifier	= hash
authorityKeyIdentifier	= keyid,issuer
keyUsage		= digitalSignature
#extendedKeyUsage	= clientAuth
basicConstraints	= CA:FALSE
crlDistributionPoints	= URI:http://www.example.org/example_ca.crl
subjectAltName		= email:copy

nameConstraints		= permitted;dirName:cnconstr

[cnconstr]
CN = DataCollector
